Did I find the right examples for you? yes no      Crawl my project      Python Jobs

All Samples(14)  |  Call(14)  |  Derive(0)  |  Import(0)

src/r/h/rhinopython-HEAD/scripts/rhinoscript/object.py   rhinopython(Download)
            if abs(1.0-scale)>=0.000001:
                plane = Rhino.Geometry.Plane(from_array[0], v0)
                xform_scale = Rhino.Geometry.Transform.Scale(plane, scale, scale, scale)
        v0.Unitize()
        v1.Unitize()
    plane = scriptcontext.doc.Views.ActiveView.ActiveViewport.ConstructionPlane()
    plane.Origin = origin
    xf = Rhino.Geometry.Transform.Scale(plane, scale.X, scale.Y, scale.Z)
    rc = TransformObjects(object_ids, xf, copy)
    return rc

src/l/a/ladybug-HEAD/src/Ladybug_SolarFan.py   ladybug(Download)
            project = rc.Geometry.Transform.PlanarProjection(newPlane)
            rotate = rc.Geometry.Transform.Rotation(z1, z0, originalPlane.Origin)
            scale = rc.Geometry.Transform.Scale(P2, 1.0, factor, 1.0)
            x = scale * rotate * project
            return x

src/l/a/ladybug-HEAD/src/Ladybug_SolarEnvelope.py   ladybug(Download)
            project = rc.Geometry.Transform.PlanarProjection(newPlane)
            rotate = rc.Geometry.Transform.Rotation(z1, z0, originalPlane.Origin)
            scale = rc.Geometry.Transform.Scale(P2, 1.0, factor, 1.0)
            x = scale * rotate * project
            return x

src/l/a/ladybug-HEAD/src/Ladybug_Shadow Study.py   ladybug(Download)
            project = rc.Geometry.Transform.PlanarProjection(newPlane)
            rotate = rc.Geometry.Transform.Rotation(z1, z0, originalPlane.Origin)
            scale = rc.Geometry.Transform.Scale(P2, 1.0, factor, 1.0)
            x = scale * rotate * project
            return x

src/l/a/ladybug-HEAD/src/Ladybug_ShadingDesigner.py   ladybug(Download)
            project = rc.Geometry.Transform.PlanarProjection(newPlane)
            rotate = rc.Geometry.Transform.Rotation(z1, z0, originalPlane.Origin)
            scale = rc.Geometry.Transform.Scale(P2, 1.0, factor, 1.0)
            x = scale * rotate * project
            return x

src/r/h/rhinopython-HEAD/scripts/rhinoscript/transformation.py   rhinopython(Download)
    else: point = Rhino.Geometry.Point3d.Origin
    plane = Rhino.Geometry.Plane(point, Rhino.Geometry.Vector3d.ZAxis);
    xf = Rhino.Geometry.Transform.Scale(plane, factor[0], factor[1], factor[2])
    return xf
 

src/h/o/Honeybee-HEAD/src/Honeybee_Glazing based on ratio.py   Honeybee(Download)
    #Scale the wall geometry to get to the appropriate glazingRatio.
    scaleFactor = glazingRatio ** .5
    scaleT = rc.Geometry.Transform.Scale(cenPt, scaleFactor)
    glzSrfBrep = triSrf.DuplicateBrep()
    glzSrfBrep.Transform(scaleT)
    if checkCent == True:
        scaleFactor = glazingRatio ** .5
        scaleT = rc.Geometry.Transform.Scale(cenPt, scaleFactor)
        glzSrfBrep = quadSrf.DuplicateBrep()
        glzSrfBrep.Transform(scaleT)
            centPtIndex = 0
            for line in winLinesStart:
                transformMatrixScale = rc.Geometry.Transform.Scale(lineCentPt[centPtIndex], winLineScale)
                line.Transform(transformMatrixScale)
                centPtIndex += 1
            lineCentPt = rc.Geometry.Point3d(((winStartLine.PointAtStart.X + winStartLine.PointAtEnd.X)/2), ((winStartLine.PointAtStart.Y + winStartLine.PointAtEnd.Y)/2), ((winStartLine.PointAtStart.Z + winStartLine.PointAtEnd.Z)/2))
            print lineCentPt
            transformMatrixScale = rc.Geometry.Transform.Scale(lineCentPt, 0.98)
            winStartLine.Transform(transformMatrixScale)
 

src/l/a/ladybug-HEAD/src/Ladybug_Sky Dome.py   ladybug(Download)
    if scale!= 1 and isinstance(skyDomeSrfs[i], int):
        # center point hasn't moved so original list should be used
        scaleT = rc.Geometry.Transform.Scale(cenPt, scale)
        for i, srf in enumerate(originalSkyDomeSrfs):
            newSrf = srf.DuplicateShallow()
            newSrf.Transform(scaleT)
            skyDomeSrfs[i] = newSrf
    elif scale!= 1:
        # scale the surfaces already moved in the first place
        scaleT = rc.Geometry.Transform.Scale(cenPt, scale)

src/l/a/ladybug-HEAD/src/Ladybug_Shading Mask_II.py   ladybug(Download)
 
    # scale everything
    scaleT = rc.Geometry.Transform.Scale(cenPt, radius/BBRadius)
    for geo in planarSrfs + list(crvsOnSky) + maskedSkyDome + unmaskedSkyDome:
        geo.Transform(scaleT)